use Netegrity::PolicyMgtAPI;

$adminname=$ARGV[0];
$password=$ARGV[1];
$userstorename=$ARGV[2];
$usernamefile=$ARGV[3];

open(DAT, $usernamefile) || die("Could not open user name file!");
@raw_data=<DAT>;
close(DAT);

$policymgtapi = Netegrity::PolicyMgtAPI->New();
$session = $policymgtapi->CreateSession($adminname, $password, "127.0.0.1" );

die "\nFATAL: Cannot create session. Please check admin credentials\n"
unless ($session != undef);

$userstore=$session->GetUserDir("$userstorename");
die "\nFATAL: Cannot get the user store you specified\n"
unless ($userstore != undef);

$userstore->MaxResults(25);
$userstore->SearchTimeout(30);

foreach $line(@raw_data){
chomp($line);
@users=$userstore->LookupEntry("$line");
foreach $user(@users){
if($user){

$pwdstate=$user->UserPasswordState();
$lt1 = localtime($pwdstate->LastLoginTime());

print $user->GetPath() . "\t LastLoginTime: " . $lt1 . "\n";

}
}
}